/**
  ******************************************************************************
  * File Name          : main.h
  * Description        : This file contains the common defines of the application
  ******************************************************************************
  *
  * Copyright (c) 2018 STMicroelectronics International N.V. 
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without 
  * modification, are permitted, provided that the following conditions are met:
  *
  * 1. Redistribution of source code must retain the above copyright notice, 
  *    this list of conditions and the following disclaimer.
  * 2. Redistributions in binary form must reproduce the above copyright notice,
  *    this list of conditions and the following disclaimer in the documentation
  *    and/or other materials provided with the distribution.
  * 3. Neither the name of STMicroelectronics nor the names of other 
  *    contributors to this software may be used to endorse or promote products 
  *    derived from this software without specific written permission.
  * 4. This software, including modifications and/or derivative works of this 
  *    software, must execute solely and exclusively on microcontroller or
  *    microprocessor devices manufactured by or for STMicroelectronics.
  * 5. Redistribution and use of this software other than as permitted under 
  *    this license is void and will automatically terminate your rights under 
  *    this license. 
  *
  * THIS SOFTWARE IS PROVIDED BY STMICROELECTRONICS AND CONTRIBUTORS "AS IS" 
  * AND ANY EXPRESS, IMPLIED OR STATUTORY WARRANTIES, INCLUDING, BUT NOT 
  * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
  * PARTICULAR PURPOSE AND NON-INFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY
  * RIGHTS ARE DISCLAIMED TO THE FULLEST EXTENT PERMITTED BY LAW. IN NO EVENT 
  * SHALL STMICROELECTRONICS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
  * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, 
  * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
  * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
  * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
  * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
  /* Includes ------------------------------------------------------------------*/

/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Private define ------------------------------------------------------------*/

#define LCM_DB13_Pin GPIO_PIN_13
#define LCM_DB13_GPIO_Port GPIOC
#define LCM_DB14_Pin GPIO_PIN_14
#define LCM_DB14_GPIO_Port GPIOC
#define LCM_DB15_Pin GPIO_PIN_15
#define LCM_DB15_GPIO_Port GPIOC
#define LCM_DB0_Pin GPIO_PIN_0
#define LCM_DB0_GPIO_Port GPIOC
#define LCM_DB1_Pin GPIO_PIN_1
#define LCM_DB1_GPIO_Port GPIOC
#define LCM_DB2_Pin GPIO_PIN_2
#define LCM_DB2_GPIO_Port GPIOC
#define LCM_DB3_Pin GPIO_PIN_3
#define LCM_DB3_GPIO_Port GPIOC
#define AUX1_L_Pin GPIO_PIN_0
#define AUX1_L_GPIO_Port GPIOA
#define AUX1_R_Pin GPIO_PIN_1
#define AUX1_R_GPIO_Port GPIOA
#define USART_TX_Pin GPIO_PIN_2
#define USART_TX_GPIO_Port GPIOA
#define USART_RX_Pin GPIO_PIN_3
#define USART_RX_GPIO_Port GPIOA
#define AGND_Pin GPIO_PIN_4
#define AGND_GPIO_Port GPIOA
#define LD2_Pin GPIO_PIN_5
#define LD2_GPIO_Port GPIOA
#define AUX2_L_Pin GPIO_PIN_6
#define AUX2_L_GPIO_Port GPIOA
#define AUX2_R_Pin GPIO_PIN_7
#define AUX2_R_GPIO_Port GPIOA
#define LCM_DB4_Pin GPIO_PIN_4
#define LCM_DB4_GPIO_Port GPIOC
#define LCM_DB5_Pin GPIO_PIN_5
#define LCM_DB5_GPIO_Port GPIOC
#define LCM_YN_Pin GPIO_PIN_0
#define LCM_YN_GPIO_Port GPIOB
#define LCM_XN_Pin GPIO_PIN_1
#define LCM_XN_GPIO_Port GPIOB
#define LCM_YP_Pin GPIO_PIN_2
#define LCM_YP_GPIO_Port GPIOB
#define LCM_DB6_Pin GPIO_PIN_6
#define LCM_DB6_GPIO_Port GPIOC
#define LCM_DB7_Pin GPIO_PIN_7
#define LCM_DB7_GPIO_Port GPIOC
#define LCM_DB8_Pin GPIO_PIN_8
#define LCM_DB8_GPIO_Port GPIOC
#define LCM_DB9_Pin GPIO_PIN_9
#define LCM_DB9_GPIO_Port GPIOC
#define SPK_L__Pin GPIO_PIN_8
#define SPK_L__GPIO_Port GPIOA
#define SPK_L_A9_Pin GPIO_PIN_9
#define SPK_L_A9_GPIO_Port GPIOA
#define SPK_R__Pin GPIO_PIN_10
#define SPK_R__GPIO_Port GPIOA
#define SPK_R_A11_Pin GPIO_PIN_11
#define SPK_R_A11_GPIO_Port GPIOA
#define TMS_Pin GPIO_PIN_13
#define TMS_GPIO_Port GPIOA
#define TCK_Pin GPIO_PIN_14
#define TCK_GPIO_Port GPIOA
#define LCM_DB10_Pin GPIO_PIN_10
#define LCM_DB10_GPIO_Port GPIOC
#define LCM_DB11_Pin GPIO_PIN_11
#define LCM_DB11_GPIO_Port GPIOC
#define LCM_DB12_Pin GPIO_PIN_12
#define LCM_DB12_GPIO_Port GPIOC
#define LCM_XP_Pin GPIO_PIN_3
#define LCM_XP_GPIO_Port GPIOB
#define LCM_CS_Pin GPIO_PIN_4
#define LCM_CS_GPIO_Port GPIOB
#define LCM_RS_Pin GPIO_PIN_5
#define LCM_RS_GPIO_Port GPIOB
#define LCM_WR_Pin GPIO_PIN_6
#define LCM_WR_GPIO_Port GPIOB
#define LCM_RD_Pin GPIO_PIN_7
#define LCM_RD_GPIO_Port GPIOB
#define LCM_BL_Pin GPIO_PIN_8
#define LCM_BL_GPIO_Port GPIOB

/* USER CODE BEGIN Private defines */
/* USER CODE END Private defines */

/**
  * @}
  */ 

/**
  * @}
*/ 

#endif /* __MAIN_H */
/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
